#include "addressbookform.h"
#include "ui_addressbookform.h"

AddressbookForm::AddressbookForm(QWidget *parent) :
    AutoForm<AddressbookData>(parent),
    ui(new Ui::AddressbookForm)
{
    ui->setupUi(this);
    registerBinding(ui->title);
    registerBinding(ui->firstName);
    registerBinding(ui->lastName);
    registerBinding(ui->birthDate);
    registerBinding(ui->ztp);
    registerBinding(ui->idCardNumber);
    registerBinding(ui->addressCity);
    registerBinding(ui->addressStreet);
    registerBinding(ui->addressHouseNumber);
    registerBinding(ui->addressZipCode);
}

AddressbookForm::~AddressbookForm()
{
    delete ui;
}
